'use strict';

angular.module('cityDue.adMob-directive', [])
.controller('AdMobCtrl', [function(){

	function initAd(){
	    if ( window.plugins && window.plugins.AdMob ) {
		    var ad_units = {
				android : {
					banner: 'ca-app-pub-5818278282240116/4669994261',
					interstitial: 'ca-app-pub-5818278282240116/5459893066'
				}
		    };
		    var admobid = "";
		    if( /(android)/i.test(navigator.userAgent) ) {
		    	admobid = ad_units.android;
		    /*} else if(/(iphone|ipad)/i.test(navigator.userAgent)) {
		    	admobid = ad_units.ios;
		    } else {
		    	admobid = ad_units.wp8;*/
		    }
	        window.plugins.AdMob.setOptions( {
	            publisherId: admobid.banner,
	            interstitialAdId: admobid.interstitial,
	            bannerAtTop: false, // set to true, to put banner at top
	            overlap: false, // set to true, to allow banner overlap webview
	            offsetTopBar: false, // set to true to avoid ios7 status bar overlap
	            isTesting: false, // receiving test ad
	            autoShow: true // auto show interstitial ad when loaded
	        });
	        registerAdEvents();
	        
			window.plugins.AdMob.createBannerView();
	    } else {
	        alert( 'admob plugin not ready' );
	    }
	}

}])
.directive('admobView', [function() {
	return {
		restrict:'E',
		/*scope: {
			item:'=stopItem'
		},*/
		controller:'AdMobCtrl',
		// templateUrl:'components/adMob/admob-banner.html'
  	};
}]);
    