'use strict';

/******
 * Controller for Angular JS
 *
 */
var homeViewCtrl = function($scope, $http, geoLocationService, loadStopsFromList, addPredictionToData, listBookmark){
	// var scope = this;
	$scope.bookmarks = listBookmark();
	if ($scope.bookmarks.length>0){
		$scope.bookmarkList = [];
		geoLocationService($scope, function(latitude,longitude){
			loadStopsFromList($scope.bookmarks, latitude, longitude, function(list){
				$scope.bookmarkList = list;
				for(var i=0;i<$scope.bookmarkList.length && i<2;i++){
					var busstop = $scope.bookmarkList[i];
					addPredictionToData(busstop,3);
				}
			});
		});
	}
};

angular.module('cityDue.home', ['ngRoute'])

.config(['$routeProvider', function($routeProvider) {
  $routeProvider.when('/home', {
    templateUrl: 'homeView/homeView.html',
    controller: 'HomeViewCtrl'
  });
}])


.controller('HomeViewCtrl', ['$scope', '$http', 'geoLocationService', 'loadStopsFromList', 'addPredictionToData', 'listBookmark', homeViewCtrl]);