'use strict';

var busStopCtrl = function($rootScope, $scope, $routeParams, loadStopPrediction, listBookmark, toggleBookmark){
	function loadPredictionList(item){
		$scope.busStop = item;
        console.log (item);
	}
	$scope.clickBookmark = function (item){
		toggleBookmark($routeParams.stopId);
		$scope.bookmarked = listBookmark($routeParams.stopId);
	};
	$scope.distance = $rootScope.distance;
	$scope.bookmarked = listBookmark($routeParams.stopId);
	loadStopPrediction($routeParams.stopId, loadPredictionList);
};

angular.module('cityDue.busStop', ['ngRoute'])

.config(['$routeProvider', function($routeProvider) {
  $routeProvider.when('/busStop/:stopId', {
    templateUrl: 'busStopView/busStopView.html',
    controller: 'BusStopCtrl'
  });
}])


.controller('BusStopCtrl', ['$rootScope', '$scope', '$routeParams', 'loadStopPrediction', 'listBookmark', 'toggleBookmark', busStopCtrl]);