'use strict';

angular.module('cityDue.busStop.stopItem-directive', [])
.controller('StopItemCtrl', ['$rootScope', '$scope', '$location', 'listBookmark', function($rootScope, $scope, $location, listBookmark){
	$scope.item.star = listBookmark($scope.item.id);
	$scope.selectedItem = function(item){
		$rootScope.distance = item.distance;
		$location.path("/busStop/"+item.id);
	}
}])

.directive('stopItem', [function() {
	return {
		restrict:'A',
		scope: {
			item:'=stopItem'
		},
		controller:'StopItemCtrl',
		templateUrl:'components/stopItem/stopItem.html'
  	};
}]);
